using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wClub_GetPassword3:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:26
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("找回密码3","网站页面","找回密码3",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
		String 密码保护答案1=Request.Form["MB_DaAn1"];
		String 密码保护答案2=Request.Form["MB_DaAn2"];
		String 密码保护答案3=Request.Form["MB_DaAn3"];
		int ID=Convert.ToInt32(Request.QueryString["ID"]);

		if(密码保护答案1.Length<1||密码保护答案1.Length>50)
			throw new Exception("密码保护答案1不正确");
		if(密码保护答案2.Length<1||密码保护答案2.Length>50)
			throw new Exception("密码保护答案2不正确");
		if(密码保护答案3.Length<1||密码保护答案3.Length>50)
			throw new Exception("密码保护答案3不正确");

		SqlCommand 语句=new SqlCommand("SELECT [ID] FROM ["+程序.数据表前缀+"社区_密码保护] WHERE [密码保护答案1]=@密码保护答案1 AND [密码保护答案2]=@密码保护答案2 AND [密码保护答案3]=@密码保护答案3 AND [会员ID]=@会员ID",访问.连接);
		语句.Parameters.Add("@密码保护答案1",SqlDbType.NVarChar).Value=密码保护答案1;
		语句.Parameters.Add("@密码保护答案2",SqlDbType.NVarChar).Value=密码保护答案2;
		语句.Parameters.Add("@密码保护答案3",SqlDbType.NVarChar).Value=密码保护答案3;
		语句.Parameters.Add("@会员ID",SqlDbType.NVarChar).Value=ID;
		SqlDataReader 读取=语句.ExecuteReader();
		bool 是否存在=读取.HasRows;
		读取.Close();

		if(是否存在)
		{
			语句=new SqlCommand("SELECT [手机号] FROM ["+程序.数据表前缀+"社区_用户_用户] WHERE [ID]=@ID",访问.连接);
			语句.Parameters.Add("@ID",SqlDbType.Int).Value=ID;
			String 手机号;
			读取=语句.ExecuteReader();
			if(读取.Read())
				手机号=Convert.ToString(读取["手机号"]);
			else
			{
				读取.Close();
				throw new Exception("用户不存在");
			}
			读取.Close();

			语句=new SqlCommand("UPDATE ["+程序.数据表前缀+"社区_用户_用户] SET [密码]=@密码 WHERE [ID]=@ID",访问.连接);
			语句.Parameters.Add("@密码",SqlDbType.NVarChar).Value=常用.MD5加密(常用.MD5加密(手机号.Substring(5)));
			语句.Parameters.Add("@ID",SqlDbType.Int).Value=ID;
			语句.ExecuteNonQuery();
		}
		else
			throw new Exception("密码保护答案错误");
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""找回密码3"">
<p>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"



找回密码成功，您的密码已经被重设为您手机号的后六位数字。<br/>

<a href=""Login.aspx?");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">返回会员登录</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"club/page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回社区首页</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>
");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"





</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
}